## PkEulaRequired PkEulaRequired |

## Synopsis

                        PkEulaRequiredPrivate;
                        PkEulaRequired;
    PkEulaRequired *    pk_eula_required_new                (void);

## Object Hierarchy

      GObject
       +----PkEulaRequired

## Properties

      "eula-id"                  gchar*                : Read / Write
      "license-agreement"        gchar*                : Read / Write
      "package-id"               gchar*                : Read / Write
      "vendor-name"              gchar*                : Read / Write

## Description

## Details

### PkEulaRequiredPrivate

    typedef struct _PkEulaRequiredPrivate PkEulaRequiredPrivate;

Private PkEulaRequired data

### PkEulaRequired

    typedef struct _PkEulaRequired PkEulaRequired;

### pk_eula_required_new ()

    PkEulaRequired *    pk_eula_required_new                (void);

Returns : | a new PkEulaRequired object.

## Property Details

### The `"eula-id"` property

      "eula-id"                  gchar*                : Read / Write

Default value: NULL

### The `"license-agreement"` property

      "license-agreement"        gchar*                : Read / Write

Default value: NULL

### The `"package-id"` property

      "package-id"               gchar*                : Read / Write

Default value: NULL

### The `"vendor-name"` property

      "vendor-name"              gchar*                : Read / Write

Default value: NULL